Debian Bug report logs - #123292
lvm-common fails to build from source on mips, mipsel, sparc

version graph

Package: lvm-common; Maintainer for lvm-common is (unknown);

Reported by: Stephen R Marenka <stephen@marenka.net>

Date: Mon, 10 Dec 2001 19:48:01 UTC

Severity: serious

Tags: patch

Found in version 1.4

Fixed in versions lvm-common/1.5.2, lvm-common/1.5.3

Done: Robert van der Meulen <rvdm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Robert van der Meulen <rvdm@debian.org>:
Bug#123292; Package lvm-common. Full text and rfc822 format available.

Acknowledgement sent to Stephen R Marenka <stephen@marenka.net>:
New Bug report received and forwarded. Copy sent to Robert van der Meulen <rvdm@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen R Marenka <stephen@marenka.net>
To: submit@bugs.debian.org
Subject: lvm-common fails to build from source on powerpc (at least)
Date: Mon, 10 Dec 2001 13:33:17 -0600
[Message part 1 (text/plain, inline)]
Package: lvm-common
Version: 1.4
Severity: serious


lvm-common fails to build from source on powerpc. Here's an excerpt from
the build log. It looks like a problem with the kernel headers.


ake[1]: Entering directory `/build/buildd/lvm-common-1.4'
gcc -g -O2 -I. -o lvmiopversion lvmiopversion.c lvm_get_iop_version.c lvm_check_special.c
In file included from /usr/include/linux/prefetch.h:13,
                 from /usr/include/linux/list.h:6,
                 from lvm.h:98,
                 from liblvm.h:94,
                 from lvm_user.h:44,
                 from lvmiopversion.c:29:
/usr/include/asm/processor.h:605: parse error before `vector128'
/usr/include/asm/processor.h:605: warning: no semicolon at end of struct or union
/usr/include/asm/processor.h:606: warning: data definition has no type or storage class
/usr/include/asm/processor.h:609: parse error before `}'
/usr/include/asm/processor.h: In function `thread_saved_pc':
/usr/include/asm/processor.h:628: dereferencing pointer to incomplete type
/usr/include/asm/processor.h:628: dereferencing pointer to incomplete type


Similar errors follow.

A full build log is available at 
<http://buildd.debian.org/fetch.php?&pkg=lvm-common&ver=1.4&arch=powerpc&stamp=1007929763&file=log&as=raw>.

Other build logs may be available at
<http://buildd.debian.org/build.php?arch=&pkg=lvm-common>.

-- 
Stephen R. Marenka     If life's not fun, you're not doing it right!
<stephen@marenka.net>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org:
Bug#123292; Package lvm-common. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 123292@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: 123292@bugs.debian.org
Subject: LVM on powerpc
Date: Sat, 16 Feb 2002 01:12:24 -0500
[Message part 1 (text/plain, inline)]
tags 123292 patch
thanks

The bug appears to be that asm/types.h is being included while __KERNEL__ is
not defined, and then other things (like asm/processor.h) are being pulled
in while __KERNEL__ is defined.

Personally, I have no idea why __KERNEL__ is being defined at all.
lvm-common builds fine for me on both i386 and powerpc with the attached
patch, which simply doesn't define __KERNEL__.

-- 
 - mdz
[lvm-common-123292.patch (text/plain, attachment)]

Tags added: patch Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Gerhard Tonn <gt@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org:
Bug#123292; Package lvm-common. Full text and rfc822 format available.

Acknowledgement sent to rmurray@cyberhqz.com (Ryan Murray):
Extra info received and forwarded to list. Copy sent to Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 123292@bugs.debian.org (full text, mbox):

From: rmurray@cyberhqz.com (Ryan Murray)
To: 123292@bugs.debian.org
Cc: control@bugs.debian.org
Subject: umm...
Date: Wed, 20 Feb 2002 08:57:24 -0800
reopen 123292
retitle 123292 lvm-common fails to build from source on mips, mipsel, sparc
thanks

Please note when someone files an "at least" bug, there's usually more than
one arch affected, and the fix should not be conditionalized per arch...

mips, mipsel, and sparc need the same fix.

http://buildd.debian.org/build.php?pkg=lvm%2Dcommon



Changed Bug title. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org:
Bug#123292; Package lvm-common. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org. Full text and rfc822 format available.

Message #28 received at 123292@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: 123292@bugs.debian.org
Subject: lvm-common fails to build from source on mips, mipsel, sparc
Date: Thu, 21 Feb 2002 22:33:43 -0500
As I noted earlier in the bug log, not defining __KERNEL__ doesn't break
things for i386.  Since it broke at least powerpc, s390, mips, mipsel,
sparc, I would bet that undefining it would work all around.

-- 
 - mdz



Reply sent to Robert van der Meulen <rvdm@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stephen R Marenka <stephen@marenka.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 123292-close@bugs.debian.org (full text, mbox):

From: Robert van der Meulen <rvdm@debian.org>
To: 123292-close@bugs.debian.org
Subject: Bug#123292: fixed in lvm-common 1.5.2
Date: Mon, 04 Mar 2002 11:17:12 -0500
We believe that the bug you reported is fixed in the latest version of
lvm-common, which is due to be installed in the Debian FTP archive:

lvm-common_1.5.2.dsc
  to pool/main/l/lvm-common/lvm-common_1.5.2.dsc
lvm-common_1.5.2.tar.gz
  to pool/main/l/lvm-common/lvm-common_1.5.2.tar.gz
lvm-common_1.5.2_i386.deb
  to pool/main/l/lvm-common/lvm-common_1.5.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 123292@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert van der Meulen <rvdm@debian.org> (supplier of updated lvm-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  4 Mar 2002 16:57:31 +0100
Source: lvm-common
Binary: lvm-common
Architecture: source i386
Version: 1.5.2
Distribution: unstable
Urgency: low
Maintainer: Robert van der Meulen <rvdm@debian.org>
Changed-By: Robert van der Meulen <rvdm@debian.org>
Description: 
 lvm-common - The Logical Volume Manager for Linux (common files)
Closes: 123292 131817
Changes: 
 lvm-common (1.5.2) unstable; urgency=low
 .
   * Disable __KERNEL_ defines alltogether (Closes: #123292, #131817)
Files: 
 e606b9f3791da2f9c4b644337ab03926 512 admin optional lvm-common_1.5.2.dsc
 0642bd2823ec9aac2c16d9721b12b6db 26668 admin optional lvm-common_1.5.2.tar.gz
 eb24ff1a38947339f7992a767cd985e3 11112 admin optional lvm-common_1.5.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8g5oOFLJHZigagQ4RAomhAJ4qYHKQd+/frVqaXuFfoSWr8j9rnACeNBdg
NiNHpfFNnk34zmd/sXWgpj4=
=9gVf
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org:
Bug#123292; Package lvm-common. Full text and rfc822 format available.

Acknowledgement sent to Noel Koethe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org. Full text and rfc822 format available.

Message #38 received at 123292@bugs.debian.org (full text, mbox):

From: Noel Koethe <noel@debian.org>
To: control@bugs.debian.org
Cc: 123292@bugs.debian.org, 131817@bugs.debian.org, rvdm@debian.org
Subject: lvm-common still doesn't build on mips, mipsel, s390, sparc
Date: Wed, 13 Mar 2002 12:31:02 +0100
reopen 123292
reopen 131817
thanks

Hello,

http://buildd.debian.org/build.php?arch=&pkg=lvm-common

Version 1.5.2 of lvm-common didn't build on mips, mipsel,
s390 and sparc.:(

-- 
	Noèl Köthe



Bug reopened, originator not changed. Request was from Noel Koethe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org:
Bug#123292; Package lvm-common. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 123292@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 123292@bugs.debian.org
Subject: lvm-common fails to build from source on mips, mipsel, sparc
Date: Fri, 22 Mar 2002 18:20:24 +0100
I investigated the lvm-common build problem on mips, and discovered
the source of the problem.

The problem is that some of the glibc headers includes <asm/types.h>
before <lvm.h> gets the chance to define __KERNEL__.  Because of this,
the u64 type is unknown, and the compile error appears in
/usr/include/asm/processor.h.

I also tested on arm, where the compile succeeds.  The reason it works
there is because processor.h do not need the u64 type on arm.

Not quite sure how to solve it.



Information forwarded to debian-bugs-dist@lists.debian.org, Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org:
Bug#123292; Package lvm-common. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Robert van der Meulen <rvdm@debian.org>, lvm-common@packages.qa.debian.org. Full text and rfc822 format available.

Message #50 received at 123292@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 123292@bugs.debian.org
Subject: Re: lvm-common fails to build from source on mips, mipsel, sparc
Date: Fri, 22 Mar 2002 18:32:40 +0100
> Not quite sure how to solve it.

One way to get the source to compile is to define u64 to __u64.  The
__u64 type is available from <asm/types.h> even if __KERNEL__ isn't
defined.

I was able to compile the source using this patch.  I'm not sure if
the required structures are correct, but... :-)


diff -ur lvm-common-1.5.2/lvm.h lvm-common-1.5.2-pere3/lvm.h
--- lvm-common-1.5.2/lvm.h      Mon Mar  4 16:59:37 2002
+++ lvm-common-1.5.2-pere/lvm.h        Fri Mar 22 18:29:55 2002
@@ -96,8 +96,16 @@
 #if !defined(__s390__) && !defined(powerpc)
 #define __KERNEL__
 #endif */
+
+/* Avoid missing types on platforms where <asm/types.h> already was included
+   and where the u64 type is needed.  This is a ugly hack and should be
+   removed if possible. */
+#define u64 __u64
+
 #include <linux/kdev_t.h>
 #include <linux/list.h>
+
+#undef u64
 /*
 #undef __KERNEL__
 #else



Reply sent to Robert van der Meulen <rvdm@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stephen R Marenka <stephen@marenka.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #55 received at 123292-close@bugs.debian.org (full text, mbox):

From: Robert van der Meulen <rvdm@debian.org>
To: 123292-close@bugs.debian.org
Subject: Bug#123292: fixed in lvm-common 1.5.3
Date: Mon, 15 Apr 2002 14:32:31 -0400
We believe that the bug you reported is fixed in the latest version of
lvm-common, which is due to be installed in the Debian FTP archive:

lvm-common_1.5.3.dsc
  to pool/main/l/lvm-common/lvm-common_1.5.3.dsc
lvm-common_1.5.3.tar.gz
  to pool/main/l/lvm-common/lvm-common_1.5.3.tar.gz
lvm-common_1.5.3_i386.deb
  to pool/main/l/lvm-common/lvm-common_1.5.3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 123292@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert van der Meulen <rvdm@debian.org> (supplier of updated lvm-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 15 Apr 2002 20:19:26 +0200
Source: lvm-common
Binary: lvm-common
Architecture: source i386
Version: 1.5.3
Distribution: unstable
Urgency: low
Maintainer: Robert van der Meulen <rvdm@debian.org>
Changed-By: Robert van der Meulen <rvdm@debian.org>
Description: 
 lvm-common - The Logical Volume Manager for Linux (common files)
Closes: 123292 131817 135489 138514 138779 138954 139106 139169 139594
Changes: 
 lvm-common (1.5.3) unstable; urgency=low
 .
   * Apply patch from Petter Reinholdtsen to fix arch compile problems.
     (Closes: #123292, #131817)
   * added binutils depend (Closes: #138514)
   * Removed lvm cronjob  (Closes: #135489, #138954, #139169, #138779, #139106
     and Closes: #139594 )
     (surprising how many people don't bother checking the BTS before filing..)
Files: 
 2b8655cb37e34311e056d6a2267d9d29 512 admin optional lvm-common_1.5.3.dsc
 291137748ba3d2c60626747903a7480a 26967 admin optional lvm-common_1.5.3.tar.gz
 0833c116d62fd89f134a33847c4779aa 11112 admin optional lvm-common_1.5.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8uxp7FLJHZigagQ4RAg55AKCp0rTBnEMjJNANWKwuUEgskckqwwCgqyG4
cszK6grzsfqZtoCozhyZ9O4=
=L/0G
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:04:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.